Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client
Interface TakesValue<V>

Type Parameters:
  `V` - value type

All Known Subinterfaces:
  HasConstrainedValue<T>, HasValue<T>, LeafValueEditor<T>

All Known Implementing Classes:
  CellWidget, CheckBox, DateBox, DateLabel, DatePicker, DoubleBox, FakeLeafValueEditor, HasTextEditor, Hidden, IntegerBox, LongBox, NumberLabel, OptionalFieldEditor, PasswordTextBox, RadioButton, SimpleCheckBox, SimpleEditor, SimpleRadioButton, SuggestBox, TakesValueEditor, TextArea, TextBox, TextBoxBase, ToggleButton, ValueBox, ValueBoxBase, ValueBoxEditor, ValueLabel, ValueListBox, ValuePicker

    public interface TakesValue<V>

Implemented by objects that hold a value.

Method Summary
`V` | `getValue()` Returns the current value.
`void` | `setValue(V value)` Sets the value.

Method Detail

### setValue

    void setValue(V value)

  Sets the value.

  Parameters:
    `value` - a value object of type V
  See Also:
    `getValue()`

### getValue

    V getValue()

  Returns the current value.

  Returns:
    the value as an object of type V
  See Also:
    `setValue(V)`

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD